import { getManager } from 'typeorm'
import { Ayuda, AyudaRequest } from '@db/entity/Ayuda'
import { TipoProblema } from '@db/entity/TipoProblema'

export class AyudaController {
  private ayudaRepository: any
  private tipoProblemaRepository: any
  constructor () {
    this.ayudaRepository = getManager().getRepository(Ayuda)
    this.tipoProblemaRepository = getManager().getRepository(TipoProblema)
  }

  async create (request: AyudaRequest) {
    const tipoProblema = this.tipoProblemaRepository.findOne(
      request.tipoProblema
    )
    request.tipoProblema = tipoProblema
    const ayuda = this.ayudaRepository.create(request)
    const result = await this.ayudaRepository.save(ayuda)
    return result
  }

  async getOne (id: number) {
    return await this.ayudaRepository.findOne(id)
  }

  async getAll () {
    return await this.ayudaRepository.findOne()
  }
}
